cURL
curl --request GET \ --url https://api.example.com/api/database/tables/{tableName}/schema \ --header 'Authorization: Bearer <token>'
{ "tableName": "posts", "columns": [ { "name": "id", "type": "uuid", "nullable": false, "unique": true, "default": "gen_random_uuid()", "isPrimaryKey": true, "foreignKey": null }, { "name": "title", "type": "string", "nullable": false, "unique": false, "default": null, "isPrimaryKey": false, "foreignKey": null }, { "name": "userId", "type": "uuid", "nullable": false, "unique": false, "default": null, "isPrimaryKey": false, "foreignKey": { "table": "auth.users", "column": "id", "on_delete": "CASCADE" } } ] }
Documentation IndexFetch the complete documentation index at: https://docs.insforge.dev/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Table schema
Show child attributes